#include <iostream>
#include <cstring>

// Simulating a third-party API that isn't const-correct
void legacy_strcpy(char* dest, char* src) {
    std::strcpy(dest, src);
}

int main() {
    const char* source = "Hello, World!";
    char destination[20];

    // Using const_cast to call the legacy function
    legacy_strcpy(destination, const_cast<char*>(source));

    std::cout << "Copied string: " << destination << std::endl;
    return 0;
}
